Bug 1477300 - [RFE] dynamic bucket sharding
Summary: [RFE] dynamic bucket sharding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.0
Hardware: All
OS: All
high
high
Target Milestone: rc
: 3.0
Assignee: Orit Wasserman
QA Contact: vidushi
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-08-01 16:46 UTC by Matt Benjamin (redhat)
Modified: 2017-12-05 23:38 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-12.1.4-1.el7cp Ubuntu: ceph_12.1.4-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.Support for dynamic bucket resharding The Ceph Object Gateway now supports the `rgw_dynamic_resharding` parameter. The process for dynamic bucket resharding periodically checks all the Ceph Object Gateway buckets and detects buckets that require resharding. If a bucket has grown larger than specified by the `rgw_max_objs_per_shard` parameter, the Ceph Object Gateway reshards the bucket dynamically in the background. For details, see the link:https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/object_gateway_guide_for_red_hat_enterprise_linux/#resharding-bucket-index-rhcs3[Dynamic Bucket Index Resharding in RHCS 3] section in the Object Gateway Guide for Red Hat Enterprise Linux. Note that dynamic bucket resharding is disabled in multi-site configuration.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:38:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph pull 15493 'None' 'closed' 'rgw: dynamic resharding' 2019-11-21 20:58:53 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Matt Benjamin (redhat) 2017-08-01 16:46:38 UTC
Provide a mechanism to dynamically re-shard buckets which have exceeded a configurable size threshold.

In this version:

1. object operations on buckets being resharded are blocked until completion
2. bucket shard count can expand but not shrink

Comment 2 Matt Benjamin (redhat) 2017-08-01 21:23:43 UTC
upstream PR: https://github.com/ceph/ceph/pull/11230

Comment 3 Ken Dreyer (Red Hat) 2017-08-02 16:12:42 UTC
Matt, PR 11230 went into Jewel back in https://github.com/ceph/ceph/pull/13341 (v10.2.6), so that has been in the product for a while now.

Is there another PR for this BZ? I'm wondering if http://tracker.ceph.com/issues/17550 does not really cover dynamic resharding?

Comment 4 Orit Wasserman 2017-08-03 08:45:14 UTC
(In reply to Ken Dreyer (Red Hat) from comment #3)
> Matt, PR 11230 went into Jewel back in
> https://github.com/ceph/ceph/pull/13341 (v10.2.6), so that has been in the
> product for a while now.
> 
> Is there another PR for this BZ? I'm wondering if
> http://tracker.ceph.com/issues/17550 does not really cover dynamic
> resharding?

Ken you are correct that was the offline resharding pr.
This is the dynamic resharding pr:
https://github.com/ceph/ceph/pull/15493

Comment 5 Ken Dreyer (Red Hat) 2017-08-16 21:20:13 UTC
On ceph-devel:

On Tue, Aug 8, 2017 at 11:11 AM, Matt Benjamin <mbenjami@redhat.com> wrote:
> I think dynamic resharding bugs are going
> to take longer than 1 day to resolve, so will need to follow the .0.

We need links to these bugs.

Comment 14 errata-xmlrpc 2017-12-05 23:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.